summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-07-07 21:29:20 +0200
committerHans de Graaff <graaff@gentoo.org>2018-07-07 21:46:19 +0200
commit287cc93d3a4be387d014ec0eadf16b74161c99a4 (patch)
treeac2d8511e1e3f9283954585863bb52a216561182
parentsys-kernel/gentoo-sources: stable 4.14.52 for ia64, bug #649198 (diff)
downloadgentoo-287cc93d3a4be387d014ec0eadf16b74161c99a4.tar.gz
gentoo-287cc93d3a4be387d014ec0eadf16b74161c99a4.tar.bz2
gentoo-287cc93d3a4be387d014ec0eadf16b74161c99a4.zip
dev-ruby/ruby-gobject-introspection: add 3.2.7
Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--dev-ruby/ruby-gobject-introspection/Manifest1
-rw-r--r--dev-ruby/ruby-gobject-introspection/ruby-gobject-introspection-3.2.7.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/dev-ruby/ruby-gobject-introspection/Manifest b/dev-ruby/ruby-gobject-introspection/Manifest
index 3e4b4adab6c..dd0f1a94614 100644
--- a/dev-ruby/ruby-gobject-introspection/Manifest
+++ b/dev-ruby/ruby-gobject-introspection/Manifest
@@ -1 +1,2 @@
DIST ruby-gnome2-all-3.1.1.tar.gz 2233259 BLAKE2B 2758a2b34bbb96a9b2aba73f576d6213c9add2bd37ac85ed083a2bfb050d5327d7332ee1b9a8445e69aab0c4721ba446b4cb66c26273818ba930cce389eda152 SHA512 be264505d254248e0e6190b28c5311d10384c2ade19ac56f249bd17284b153368e6007862c4e19e6d1015ba3e441f9bc502a5dbcc45b7dc8036611ef554a6de9
+DIST ruby-gnome2-all-3.2.7.tar.gz 2290033 BLAKE2B 48abafe9c108f3a42b5da05edb6aa7ea6b508e313f65954481d3ce1f1c4497adfce52d83d491314f352fd057ac31fad63d2c1ec4b13fb0f6de1f6f9ab12d35c6 SHA512 94c273941918e49f140cd5dcc413421406e4b15ad244f6a4c29255030162aaae13dacb701c3df20a64ac6945b7cc4a5de0fa8bed21b4f119183641d298bc2030
diff --git a/dev-ruby/ruby-gobject-introspection/ruby-gobject-introspection-3.2.7.ebuild b/dev-ruby/ruby-gobject-introspection/ruby-gobject-introspection-3.2.7.ebuild
new file mode 100644
index 00000000000..9ab41783c3a
--- /dev/null
+++ b/dev-ruby/ruby-gobject-introspection/ruby-gobject-introspection-3.2.7.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+inherit ruby-ng-gnome2
+
+RUBY_S=ruby-gnome2-all-${PV}/gobject-introspection
+
+DESCRIPTION="Ruby GObjectIntrospection bindings"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND+=" dev-libs/gobject-introspection"
+RDEPEND+=" dev-libs/gobject-introspection"
+
+ruby_add_rdepend "~dev-ruby/ruby-glib2-${PV}"
+
+all_ruby_prepare() {
+ # Remove pregenerated Makefile since it will otherwise be shared by all targets.
+ rm -f Makefile Makefile.lib ext/gobject-introspection/Makefile || die
+
+ # Avoid native installer
+ sed -i -e '/native-package-installer/ s:^:#: ; /^\s*setup_homebrew_libffi/ s:^:#:' ../glib2/lib/mkmf-gnome2.rb || die
+
+ # Avoid unneeded dependency on test-unit-notify.
+ sed -i -e '/notify/ s:^:#:' test/gobject-introspection-test-utils.rb || die
+
+ # Avoid compilation of dependencies during test.
+ sed -i -e '/system/,/^ end/ s:^:#:' test/run-test.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} test/run-test.rb || die
+}